

/* ==== BURGER (mobile only) ==== */
.nav-toggle,
.nav-toggle-label {
  display: none;
}

.nav-toggle-label {
  position: absolute;
  top: 0;
  right: calc( calc(100% - var(--container-size)) / 1.8);
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  cursor: pointer;
  min-width: 48px;
  min-height: 48px;

}

.burger {
  display: block;
  position: relative;
  width: 25px;
  height: 3px;
  background: var(--c-blue-0);
  border-radius: 2px;
  transition: background 0.2s ease-in-out;
  
}

.burger::before,
.burger::after {
  content: '';
  position: absolute;
  left: 0;
  width: 25px;
  height: 3px;
  background: var(--c-blue-0);
  border-radius: 2px;
    transition: transform 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55),
    top 0.3s ease, bottom 0.3s ease;
}

.burger::before {
  top: -9px;
}

.burger::after {
  bottom: -9px;
}

.nav-toggle:checked + .nav-toggle-label .burger {
  width: 28px;
  background: transparent;
}

.nav-toggle:checked + .nav-toggle-label .burger::before {
  width: 28px;
  transform: rotate(45deg);
  top:0px;
}

.nav-toggle:checked + .nav-toggle-label .burger::after {
  width: 28px;
  transform: rotate(-45deg);
  top: 0.5px;
}



/* ==== NAVIGATION STRUCTURE ==== */
nav {
  max-width: var(--container-size);
  padding-block: var(--fs-m);
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
}


.logo {
  display: block;
  width: 120px;
  aspect-ratio: 2 / 1;
  background: url(../media/logo_apieco.png) center/contain no-repeat;
}

.nav-menu {
  display: flex;
  gap: var(--fs-xl);
  align-items: center;
  padding-block: 20px;
}

.nav-item {
  position: relative;
}



.nav-item a,
.nav-item summary {
  display: block;
  padding-block: var(--fs-xs);
  font-size: var(--fs-m);
  color: var(--c-50);
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  opacity : 0.8;
}

.nav-item summary {
  padding-right: 15px;
}

.nav-item a:hover,
.nav-item summary:hover,
#menu-1 .nav-item1 a, 
#menu-2 .nav-item2 summary, 
#menu-3 .nav-item3 summary
{
  opacity: 1;
}

#menu-1 .nav-item1 a, 
#menu-2 .nav-item2 summary, 
#menu-3 .nav-item3 summary

{
  font-weight: 700;
}

/* ==== SUBMENUS ==== */

.nav-submenu {
  position: absolute;
  top: calc(100% + var(--fs-m));
  left: -20px;
  display: flex;
  flex-direction: column;
  gap: 6px;
  background: white;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.8);
  min-width: 200px;
  z-index: 10;
  border-radius: 4px;
  overflow: hidden;
  padding-block: 20px; 
}



.nav-submenu a  {
  width:100%;
  font-size: 0.9em;
  color : var(--c-900);
  transition: all 0.2s ease;
  padding-left: 20px;
  border-left: 0px solid rgba(255, 255, 255, 0);
  font-weight: 400;
  opacity: 1;
}

.nav-submenu a:hover {
  border-left: 5px solid var(--c-green-2);
  opacity: 1;
}



summary::before {
  content: '';
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%) rotate(0deg);
  transition: transform 0.3s ease;

  width: 0;
  height: 0;
  
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 6px solid var(--c-blue-1); /* triangle pointant vers le bas */
}

/* Rotation quand le <details> est ouvert */
details[open] summary::before {
  transform: translateY(-50%) rotate(180deg);
}


/* ==== CONTACT BUTTON ==== */

.nav-item.nav-item4 a {
  background: var(--c-green-2);
  color: white;
  border-radius: 5px;
  padding-inline:  var(--fs-m);
  text-align: center;
  opacity: 1;
  transition: background ease-in-out 150ms;
}

.nav-item.nav-item4 a:hover {
  background: var(--c-green-1);
}



/* ==== MOBILE STYLE ==== */
@media (max-width: 1000px) {
  
 
 header .container {width: 100%; }
 
  nav {
    max-width: 100%;
    padding-block: 30px;
    padding-inline: calc( calc(100% - var(--container-size)) / 2);
  }
  
  .logo {
    width: 70px;
    aspect-ratio: 2 / 1;
  }
  
  .nav-toggle-label {
    display: flex;
    min-width: 48px;
    min-height: 48px;
  }


.nav-menu .nav-item {
    opacity: 0;
    transition: opacity linear 200ms 200ms;
    pointer-events: none;
  }
  
  
.nav-toggle:checked ~ .nav-menu .nav-item {
    opacity: 1;
    pointer-events: auto;
  }
  
  
  .nav-menu {
    position: absolute;
    top: 100%;
    left: 0;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    background: white;
    box-shadow: 0 150px 400px rgba(0, 0, 0, 0.65);
    padding: 2rem 5%;
    transform: scale(1, 0);
    transform-origin: top;
    transition: transform 0.2s ease-in-out;
    z-index: 100;
  }

  .nav-toggle:checked ~ .nav-menu {
    transform: scale(1, 1);
  }

  .nav-item {
    width: 100%;
    border-top: 1px solid rgb(228, 228, 228); 
  }
  
  .nav-item a,
  .nav-item summary {
    padding-inline: 0;
    padding: var(--fs-s) 0;
  }
  
  .nav-item.safe a, .nav-item.safe a:hover {
    margin-top: 30px;
    padding : 7px;
    box-shadow: 0 0 0 0;
  }
   
  .nav-item:hover::after,
  .nav-item:has(details[open])::after,
  #menu-2 .nav-item2::after,
  #menu-3 .nav-item3::after,
  #menu-4 .nav-item4::after {
    width: 0;
  }
  
 
nav  summary::before {
 top: 23px;
 right: 2px;
 }
 
  summary::before {

    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 8px solid var(--c-blue-1); 
}
  
  .nav-submenu {
    position: static;
    padding: 0; 
    display: flex;
    flex-direction: column;
    box-shadow: none;
    border-radius: 0;
  }

  .nav-submenu a {
    padding-block: 10px;
    padding-left: 5px;
    font-size: 0.8rem;
    font-weight: 400;  
    opacity: 0.6;
  }
  
  .nav-submenu a:hover {
    padding-left: 8px;
    opacity: 1;
  }

}


/* ==== DESKTOP STYLE ==== */
@media (min-width: 1000px) {
  .nav-toggle-label {
    display: none;
  }

  .nav-toggle {
    display: none;
  }

  .nav-menu {
    display: flex;
    transform: none !important;
  }
}

